package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Led;
import com.brilliance.isc.bo.Let;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ledgrp extends AbstractCommonVo {

    private Led rec;

    private Let blk;

    private Leacbs cbs;

    private PtsptaVo adv;

    private PtsptaVo apl;

    private PtsptaVo rmb;

    private PtsptaVo a2b;

    private PtsptaVo avb;

    private PtsptaVo iss;

    private PtsptaVo con;

    private PtsptaVo ben;

    private PtsptaVo apb;

    private PtsptaVo drw;

    private PtsptaVo be2;

    private PtsptaVo acw;

    private PtsptaVo beb;

    // transferring bank
    private PtsptaVo trb;

    private PtsptaVo tp0;

    private PtsptaVo tp1;

    private PtsptaVo tp2;

    private PtsptaVo tp3;

    private PtsptaVo tp4;

    private PtsptaVo tp5;

    private PtsptaVo tp6;

    private PtsptaVo tp7;

    private PtsptaVo tp8;

    private PtsptaVo tp9;

    private PtsptaVo oap;

    private String avbnam;
    
    @Override
    public void reset() {
        if (rec == null) {
            rec = new Led();
        }
        if (blk == null) {
            blk = new Let();
        }
        if (cbs == null) {
            cbs = new Leacbs();
        }
        cbs.reset();
        if (adv == null) {
            adv = new PtsptaVo();
        }
        adv.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (a2b == null) {
            a2b = new PtsptaVo();
        }
        a2b.reset();
        if (avb == null) {
            avb = new PtsptaVo();
        }
        avb.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (con == null) {
            con = new PtsptaVo();
        }
        con.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (apb == null) {
            apb = new PtsptaVo();
        }
        apb.reset();
        if (drw == null) {
            drw = new PtsptaVo();
        }
        drw.reset();
        if (be2 == null) {
            be2 = new PtsptaVo();
        }
        be2.reset();
        if (acw == null) {
            acw = new PtsptaVo();
        }
        acw.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (tp0 == null) {
            tp0 = new PtsptaVo();
        }
        tp0.reset();
        if (tp1 == null) {
            tp1 = new PtsptaVo();
        }
        tp1.reset();
        if (tp2 == null) {
            tp2 = new PtsptaVo();
        }
        tp2.reset();
        if (tp3 == null) {
            tp3 = new PtsptaVo();
        }
        tp3.reset();
        if (tp4 == null) {
            tp4 = new PtsptaVo();
        }
        tp4.reset();
        if (tp5 == null) {
            tp5 = new PtsptaVo();
        }
        tp5.reset();
        if (tp6 == null) {
            tp6 = new PtsptaVo();
        }
        tp6.reset();
        if (tp7 == null) {
            tp7 = new PtsptaVo();
        }
        tp7.reset();
        if (tp8 == null) {
            tp8 = new PtsptaVo();
        }
        tp8.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
    }
}
